---
title: TextDecoder.prototype.encoding
slug: Web/API/TextDecoder/encoding
tags:
  - API
  - Encoding
  - Experimental
  - Property
  - Read-only
  - TextDecoder
---
<p>{{APIRef("Encoding API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>TextDecoder.prototype.encoding</code></strong> read-only property returns a {{DOMxRef("DOMString")}} containing the name of the decoding algorithm used by the specific decoder.</p>

<p>It can be one of the following values:</p>

<ul>
 <li>The recommended encoding for the Web: <code>'utf-8'</code>.</li>
 <li>The legacy single-byte encodings: <code>{{interwiki('wikipedia', 'Code_page_866', "'ibm866'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-2', "'iso-8859-2'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-3', "'iso-8859-3'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-4', "'iso-8859-4'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-5', "'iso-8859-5'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-6', "'iso-8859-6'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-7', "'iso-8859-7'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-8', "'iso-8859-8'")}}'</code>, <code>{{interwiki('wikipedia', 'ISO-8859-8-I', "'iso-8859-8i'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-10', "'iso-8859-10'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-13', "'iso-8859-13'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-14', "'iso-8859-14'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-15', "'iso-8859-15'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_8859-16', "'iso-8859-16'")}}</code>, <code>{{interwiki('wikipedia', 'KOI8-R', "'koi8-r'")}}</code>, <code>{{interwiki('wikipedia', 'KOI8-U', "'koi8-u'")}}</code>, <code>{{interwiki('wikipedia', 'Mac OS Roman', "'macintosh'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-874', "'windows-874'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1250', "'windows-1250'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1251', "'windows-1251'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1252', "'windows-1252'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1253', "'windows-1253'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1254', "'windows-1254'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1255', "'windows-1255'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1256', "'windows-1256'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1257', "'windows-1257'")}}</code>, <code>{{interwiki('wikipedia', 'Windows-1258', "'windows-1258'")}}</code>, or <code>{{interwiki('wikipedia', 'Macintosh Cyrillic encoding', "'x-mac-cyrillic'")}}</code>.</li>
 <li>The legacy multi-byte Chinese (simplified) encodings: <code>{{interwiki('wikipedia', 'GBK', "'gbk'")}}</code>, <code>{{interwiki('wikipedia', 'GB_18030', "'gb18030'")}}</code>, and <code>{{interwiki('wikipedia', 'HZ_(character_encoding)', "'hz-gb-2312'")}}</code>.</li>
 <li>The legacy multi-byte Chinese (traditional) encoding: <code>{{interwiki('wikipedia', 'Big5', "'big5'")}}</code>.</li>
 <li>The legacy multi-byte Japanese encodings: <code>{{interwiki('wikipedia', 'Extended_Unix_Code#EUC-JP', "'euc-jp'")}}</code>, <code>{{interwiki('wikipedia', 'ISO/IEC_2022#ISO-2022-JP', "'iso-2022-jp'")}}</code>, and <code>{{interwiki('wikipedia', 'Shift JIS', "'shift-jis'")}}</code>.</li>
 <li>The legacy multi-byte Korean encodings: <code>{{interwiki('wikipedia', 'Extended_Unix_Code#EUC-KR', "'euc-kr'")}}</code>, and <code>{{interwiki('wikipedia', 'ISO/IEC_2022#ISO-2022-KR', "'iso-2022-kr'")}}</code>.</li>
 <li>The legacy miscelleanous encodings: <code>{{interwiki('wikipedia', 'UTF-16#Byte_order_encoding_schemes', "'utf-16be'")}}</code>, <code>{{interwiki('wikipedia', 'UTF-16#Byte_order_encoding_schemes', "'utf-16le'")}}</code>, and <code>'x-user-defined'</code>.</li>
 <li>A special encoding, <code>'replacement'</code>, which only emits an error and an <code>EOF</code> code point. It is used to prevent attacks that mismatch encodings between the client and server. It can happen with <code>ISO-2022-CN</code> and <code>ISO-2022-CN-ext</code>.</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>b</em> = <em>decoder</em>.decoding;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Encoding', '#dom-textdecoder-encoding', 'TextDecoder.encoding')}}</td>
   <td>{{Spec2('Encoding')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.TextDecoder.encoding")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{DOMxRef("TextDecoder")}} interface it belongs to.</li>
</ul>
